## GimpProgressBar

GimpProgressBar — A widget providing a progress bar.

## Synopsis

                GimpProgressBar;
    GtkWidget*  gimp_progress_bar_new           (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkProgress
                               +----GtkProgressBar
                                     +----GimpProgressBar

## Implemented Interfaces

GimpProgressBar implements AtkImplementorIface.

## Description

A widget providing a progress bar that automatically redirects any progress calls to itself.

## Details

### GimpProgressBar

    typedef struct _GimpProgressBar GimpProgressBar;

### gimp_progress_bar_new ()

    GtkWidget*  gimp_progress_bar_new           (void);

Creates a new GimpProgressBar widget.

Returns : | the new widget.

Since GIMP 2.2